Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Interface GraphStructureChangeListener

    public interface GraphStructureChangeListener

Listener interface for monitoring structural changes to live scene graphs. BranchGroup additions, removals and moves are reported.

Since:
  Java 3D 1.4
See Also:
  `VirtualUniverse.addGraphStructureChangeListener(javax.media.j3d.GraphStructureChangeListener)`

Method Summary
`void` | `branchGroupAdded(java.lang.Object parent, BranchGroup child)` Invoked when a branch group is added.
`void` | `branchGroupMoved(java.lang.Object oldParent, java.lang.Object newParent, BranchGroup child)` Invoked when a branch group is moved.
`void` | `branchGroupRemoved(java.lang.Object parent, BranchGroup child)` Invoked when a branch group is removed.

Method Detail

### branchGroupAdded

    void branchGroupAdded(java.lang.Object parent,
                          BranchGroup child)

  Invoked when a branch group is added. Called just before the child is added to the parent. Parent can be either a BranchGroup or a Locale.

  Parameters:
    `parent` - the parent of the child being added
    `child` - the child being added

### branchGroupRemoved

    void branchGroupRemoved(java.lang.Object parent,
                            BranchGroup child)

  Invoked when a branch group is removed. Called just after the child has been removed from the parent. Parent can be either a BranchGroup or a Locale.

  Parameters:
    `parent` - the parent of the child being added
    `child` - the child being added

### branchGroupMoved

    void branchGroupMoved(java.lang.Object oldParent,
                          java.lang.Object newParent,
                          BranchGroup child)

  Invoked when a branch group is moved. Called after a child has been moved to it's new parent. This call differs from the other methods in that the child is live when this method is called.

  Parameters:
    `oldParent` - the original parent of the child being moved
    `newParent` - the new parent of the child being moved
    `child` - the child being moved

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.